[script]
n0=
n1=###################mon bot#####################"
n2=#compkick on
n3=on 1:Kick:#: {
n4=  if ($nick == $me) {
n5=  /inc %kick2 }
n6=}
n7=#compkick end
n8=
n9=on 9000:text:!compkick off:*:{
n10=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n11=  else { /disable #compkick | notice $nick 4compteur de kick desactiver }
n12=}
n13=on 9000:text:!compkick on:*:{
n14=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n15=  else { /enable #compkick | notice $nick 4compteur de kick activer }
n16=}
n17=on 9000:text:!compkick reset:*:{
n18=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n19=  else { /unset %kick2 | notice $nick 4compteur de kick remit a zero }
n20=}
n21=
n22=
n23=#gestion_chan on
n24=
n25=on *:text:*!chan:#: { 
n26=  /notice $nick 5Statistique de: 4,12 $chan  : 
n27=  /notice $nick 12Mode du chan -> 1[4 $chan(#).mode 1]
n28=  /notice $nick 13Total de Personne ->1[4 $nick(#,0) 1]  
n29=  /notice $nick 7Nombre de Voice ->1[4 $vnick(#,0) 1]
n30=  /notice $nick nombre de op ->1[4 $opnick(#,0) 1]
n31=}
n32=
n33=ON 9000:TEXT:*!o:#:{
n34=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n35=  else { mode $chan +o $nick | notice $nick Tu as etait oper par moi }
n36=}
n37=ON 9000:TEXT:*!do:#:{
n38=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n39=  else { mode $chan -o $nick | notice $nick Tu as etait deopper par moi }
n40=}
n41=ON 9000:TEXT:*!v:#:{
n42=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n43=  else {  mode $chan +v $nick | notice $nick Tu as etait voicé par moi  }
n44=}
n45=
n46=ON 9000:TEXT:*!dv:#:{
n47=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n48=  else { mode $chan -v $nick | notice $nick Tu as etait devoicé par moi  }
n49=}
n50=
n51=ON 9000:TEXT:*!h:#:{
n52=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n53=  else { mode $chan +h $nick | notice $nick tu as etait halfopé par moi }
n54=}
n55=ON 9000:TEXT:*!e:#:{
n56=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n57=  else { mode $chan +e $nick | notice $nick je t'ai mi un anti ban sur $chan }
n58=}
n59=ON 9000:TEXT:*!de:#:{
n60=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n61=  else { mode $chan -e $nick | je tes enlever ton anti ban sur $chan }
n62=}
n63=ON *:TEXT:*!h *:#:{
n64=  if ($nick isop $chan) { mode $chan +h $$2 }
n65=}
n66=ON *:TEXT:*!ak *:#:{
n67=  if ($nick isop $chan) { cs akick $chan add $2 $3 |  notice $nick $2 A etait ajouté dans la liste des auto kick de $chan }
n68=}
n69=ON *:TEXT:*!dak *:#:{
n70=  if ($nick isop $chan) { cs akick $chan del $2 $3 |  notice $nick $2 A etait enlever dans la liste des auto kick de $chan }
n71=}
n72=on *:text:*!e *:#:{
n73=  if ($nick isop $chan) { mode $chan +e $$2 | notice $2 $nick ta mis un anti ban sur $chan | notice $nick Vous avez ajouter sur $2 un anti ban sur $chan }
n74=}
n75=on *:text:*!de *:#:{
n76=  if ($nick isop $chan) { mode $chan -e $$2 | notice $2 $nick Vous a supprimmer un anti ban sur $chan | notice $nick $2 a ete enlever dans la liste des anti ban sur $chan }
n77=}
n78=ON *:TEXT:*!dh *:#:{
n79=  if ($nick isop $chan) { mode $chan -h $$2 }
n80=}
n81=ON 9000:TEXT:*!dh:#:{
n82=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n83=  else { mode $chan -h $nick | notice $nick Tu as etait dehalfopé par moi ;p }
n84=}
n85=
n86=ON *:TEXT:*!dv *:#:{
n87=  if ($nick isop $chan) { mode $chan -v $$2 }
n88=}
n89=
n90=ON *:TEXT:*!o *:#:{
n91=  if ($nick isop $chan) { mode $chan +o $2- }
n92=}
n93=
n94=ON *:TEXT:*!do *:{
n95=  if ($nick isop $chan) { msg chanserv deop $chan $2- }
n96=}
n97=
n98=on *:text:*!tp *:#:{
n99=  if ($nick isop $chan) { topic $chan $2- }
n100=}
n101=
n102=on *:text:*!md *:#:{
n103=  if (m isin $2) && ($nick isop $chan) { notice $nick Le mode +m est NON autorizé ! | halt }
n104=  else { mode $chan $2- }
n105=}
n106=
n107=
n108=on *:TEXT:*!b *:#:{
n109=  if ($nick isop $chan) { mode $chan +b $2 }
n110=  if ($2 == $null) { notice $nick tu ban qui ? }
n111=}
n112=
n113=on *:TEXT:*!k *:#:{
n114=  if ($nick isop $chan) && ($2 == $me) { kick $chan $nick MOUHAHAHA }
n115=  else  { kick $chan $2 $3- || %kick2 || }
n116=}
n117=
n118=
n119=on *:TEXT:*!db *:#:{
n120=  if ($nick isop $chan) { mode $chan -b $2 }
n121=}
n122=
n123=ON 9000:TEXT:*!optoi:#:{
n124=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n125=  else { msg chanserv op $chan $me }
n126=}
n127=
n128=ON 9000:TEXT:*!deoptoi:#:{
n129=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n130=  else { msg chanserv deop $chan $me }
n131=}
n132=
n133=ON 9000:TEXT:*!voicetoi:#:{
n134=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n135=  else { msg chanserv voice $chan $me }
n136=}
n137=
n138=ON 9000:TEXT:*!devoicetoi:#:{
n139=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n140=  else { msg chanserv devoice $chan $me }
n141=}
n142=
n143=ON 9000:TEXT:*!halfoptoi:#:{
n144=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n145=  else { msg chanserv halfop $chan $me }
n146=}
n147=
n148=ON 9000:TEXT:*!dehalfoptoi:#:{
n149=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n150=  else { msg chanserv dehalfop $chan $me }
n151=}
n152=
n153=ON *:TEXT:*!mo:#:{
n154=  if ($nick isop $chan) { mass.op | notice $nick j'ai fait un mass.op !! }
n155=}
n156=ON *:TEXT:*!mdo:#:{
n157=  if ($nick isop $chan) { mass.deop | notice $nick j'ai fait un mass.deop !! }
n158=}
n159=
n160=ON *:TEXT:*!mh:#:{
n161=  if ($nick isop $chan) { mass.halfop | notice $nick j'ai fait un mass.halfop !! }
n162=}
n163=ON *:TEXT:*!mdh:#:{
n164=  if ($nick isop $chan) { mass.dehalfop | notice $nick j'ai fait un mass.dehalfop !! }
n165=}
n166=ON *:TEXT:*!mv:#:{
n167=  IF ($nick isop $chan) { mass.voice | notice $nick j'ai fait un mass.voice !! }
n168=}
n169=
n170=ON *:TEXT:*!mdv:#:{
n171=  if ($nick isop $chan) { mass.devoice | notice $nick j'ai fait un mass.devoice !! }
n172=}
n173=
n174=ON *:TEXT:*!mk:#:{
n175=  if ($nick isop $chan) { mass.kick | notice $nick j'ai fait un mass.kick !! }
n176=}
n177=
n178=ON *:TEXT:*!mb:#:{
n179=  if ($nick isop $chan) { mass.ban | notice $nick j'ai fait un mass.ban !! }
n180=}
n181=
n182=
n183=ON *:TEXT:*!mdb:#:{
n184=  if ($nick isop $chan) { mass.deban | notice $nick j'ai fait un mass.deban !! }
n185=}
n186=
n187=ON *:TEXT:*!mkb:#:{
n188=  if  ($nick isop $chan) { mass.kickban | notice $nick j'ai fait un mass.kickban !!}
n189=  }
n190=}
n191=#gestion_chan end
n192=
n193=on 5000:text:*!gestion_chan on:#:{
n194=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login  <ton pass> | halt }
n195=  else { enable #gestion_chan | notice $nick 4 GESTION_CHAN ACTIVER }
n196=}
n197=on 5000:text:*!gestion_chan off:#:{
n198=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login  <ton pass> | halt }
n199=  else { disable #gestion_chan | notice $nick 4 GESTION_CHAN DESACTIVER }
n200=}
